Submit a question to our community and get an answer from real people.
Submit
elena40364

iOS 3..? I'm trying to download an app and it keeps saying requires iOS 3.. What should I do?

Report as

Upgrade your I pod just use your charger plug it into an computer, go to I tunes.com then click upgrade. All done ^^

Helpful Fun Thanks for voting Comments (0)
Report as
Add a comment...

Update or your ipod is probaly to old for the apps

Helpful Fun Thanks for voting Comments (0)
Report as
Add a comment...

Update tru iTunes

Helpful Fun Thanks for voting Comments (0)
Report as
Add a comment...
Do you have an answer?
Answer this question...
Did you mean?
Login or Join the Community to answer
Popular Searches